import { useField } from 'formik'
import { InputProps } from '../types'

const TextInput = ({ label, ...props }: any) => {
  const [field, meta] = useField(props)
  console.log(field, meta)
  return (
    <>
      {label && <label htmlFor={props.id || props.name}>{label}</label>}
      <input {...field} {...props} />
      {(meta.touched && meta.error) && (
        <div className='error'>{meta.error}</div>
      )}
    </>
  )
}

export default TextInput